com.google.cloud.dataflow.sdk.coders

## Class Coder.Context

- java.lang.Object
- - com.google.cloud.dataflow.sdk.coders.Coder.Context

Enclosing interface:
  Coder<T>

    public static class Coder.Context
    extends Object

The context in which encoding or decoding is being done.

### Field Summary

Fields
`boolean` `isWholeStream` Whether the encoded or decoded value fills the remainder of the output or input (resp.) record/stream contents.
`static Coder.Context` `NESTED` The nested context: the value being encoded or decoded is (potentially) a part of a larger record/stream contents, and may have other parts encoded or decoded after it.
`static Coder.Context` `OUTER` The outer context: the value being encoded or decoded takes up the remainder of the record/stream contents.

### Constructor Summary

Constructors
Constructor and Description
`Context(boolean isWholeStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`Coder.Context` `nested()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OUTER

    public static final Coder.Context OUTER

The outer context: the value being encoded or decoded takes up the remainder of the record/stream contents.

#### NESTED

    public static final Coder.Context NESTED

The nested context: the value being encoded or decoded is (potentially) a part of a larger record/stream contents, and may have other parts encoded or decoded after it.

#### isWholeStream

    public final boolean isWholeStream

Whether the encoded or decoded value fills the remainder of the output or input (resp.) record/stream contents. If so, then the size of the decoded value can be determined from the remaining size of the record/stream contents, and so explicit lengths aren't required.

### Constructor Detail

#### Context

    public Context(boolean isWholeStream)

### Method Detail

#### nested

    public Coder.Context nested()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`